Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class SimpleNodeLocator

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.SimpleNodeLocator

Direct Known Subclasses:
  DTMNodeLocator, RowSetLocator

public class SimpleNodeLocator
extends java.lang.Object
implements XLocator, java.io.Serializable

SimpleNodeLocator implements a search of one or more DOM trees. By using the connect function as an extension, the user may specify a directory and a filter specification for XML files that will be searched. This is a singleton class.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SimpleNodeLocator()` Create a SimpleNodeLocator object.

Method Summary
`static XLocator` | `connect(java.lang.String path, java.lang.String fileSpec)` (Same as query for the moment).
`XNodeSet` | `connectToNodes(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector connectArgs)` Execute a connection (if it was not executed by the static connect method) and process the following LocationPath, if it is present.
`double` | `doPredicate(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int argLen, int startOpPos)` Test a node to see if it matches the predicate test.
`static XPathFactory` | `factory()` Create an XPathFactory for this XLocator.
`protected MutableNodeList` | `findAncestors(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add ancestors to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findAncestorsOrSelf(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add ancestors or the context to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findAttributes(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add attributes to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findChildren(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, NodeCallback callback, java.lang.Object callbackInfo, boolean isSimpleFollowing, boolean stopAtFirst)` Add children to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findDescendants(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, NodeCallback callback, java.lang.Object callbackInfo, boolean isSimpleFollowing, boolean stopAtFirst)` Add the descendants (and the context if the stepType is FROM_DESCENDANTS_OR_SELF) to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findFollowing(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the nodes following the context to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findFollowingSiblings(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the sibling nodes following the context to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findNamespace(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the namespace node of the context.
`protected int` | `findNodeSet(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Execute a step that performs an OP_VARIABLE, OP_EXTFUNCTION, OP_FUNCTION, or OP_GROUP function.
`protected MutableNodeList` | `findNodesOnUnknownAxis(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the namespace node of the context.
`protected MutableNodeList` | `findParent(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the parent to the list if it meets the NodeTest qualification.
`protected MutableNodeList` | `findPreceding(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the nodes preceding the context to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findPrecedingSiblings(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Add the sibling nodes preceding the context to the list if they meet the NodeTest qualification.
`protected MutableNodeList` | `findRoot(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, boolean isSimpleFollowing, boolean stopAtFirst)` Execute a step to the root.
`protected MutableNodeList` | `findSelf(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int stepType, MutableNodeList subQueryResults, NodeCallback callback, java.lang.Object callbackInfo, boolean isSimpleFollowing, boolean stopAtFirst)` Add the context to the list if it meets the NodeTest qualification.
`static XLocator` | `getDefaultLocator()` The the default locator.
`XNodeSet` | `locationPath(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, NodeCallback callback, java.lang.Object callbackInfo, boolean stopAtFirst)` Execute a location path.
`double` | `locationPathPattern(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos)` Execute a a location path pattern.
`double` | `nodeTest(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, int argLen, int stepType)` Test a node to see if it matches the given node test.
`protected boolean` | `predicate(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos)` Execute a single predicate for a single node.
`protected MutableNodeList` | `predicates(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, MutableNodeList subQueryResults, int[] endPredicatesPos)` Qualify a node list by it's predicates.
`static XLocator` | `query(java.lang.String path, java.lang.String fileSpec)` Execute the proprietary connect() function, which returns an instance of XLocator.
`protected MutableNodeList` | `step(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, NodeCallback callback, java.lang.Object callbackInfo, boolean isSimpleFollowing, boolean stopAtFirst)` Execute a step and predicates in a location path.
`protected org.w3c.dom.Node` | `stepPattern(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, double[] scoreHolder)` Execute a step in a location path.
`XNodeSet` | `union(XPath xpath, XPathSupport execContext, org.w3c.dom.Node context, int opPos, NodeCallback callback, java.lang.Object callbackInfo)` Computes the union of its operands which must be node-sets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleNodeLocator

    public SimpleNodeLocator()

  Create a SimpleNodeLocator object.

Method Detail

### getDefaultLocator

    public static XLocator getDefaultLocator()

  The the default locator.

### query

    public static XLocator query(java.lang.String path,
                                 java.lang.String fileSpec)

  Execute the proprietary connect() function, which returns an instance of XLocator. When the XPath object sees a return type of XLocator, it will call the locationPath function that passes in the connectArgs. The opPos and args params are not used by this function. This really is just a factory function for the XLocator instance, but this fact is hidden from the user.

  Parameters:
    `opPos` - The current position in the xpath.m_opMap array.
    `args` - The function args.

### connect

    public static XLocator connect(java.lang.String path,
                                   java.lang.String fileSpec)

  (Same as query for the moment).

  Parameters:
    `opPos` - The current position in the xpath.m_opMap array.
    `args` - The function args.

### connectToNodes

    public XNodeSet connectToNodes(XPath xpath,
                                   XPathSupport execContext,
                                   org.w3c.dom.Node context,
                                   int opPos,
                                   java.util.Vector connectArgs)
                            throws org.xml.sax.SAXException

  Execute a connection (if it was not executed by the static connect method) and process the following LocationPath, if it is present. Normally, the connection functionality should be executed by this function and not the static connect function, which is really a factory method for the XLocator instance. The arguments to the static connect function are re-passed to this function.
  Specified by:
    connectToNodes in interface XLocator

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `connectArgs` - The same arguments that were passed to the static connect function.

### union

    public XNodeSet union(XPath xpath,
                          XPathSupport execContext,
                          org.w3c.dom.Node context,
                          int opPos,
                          NodeCallback callback,
                          java.lang.Object callbackInfo)
                   throws org.xml.sax.SAXException

  Computes the union of its operands which must be node-sets.
  Specified by:
    union in interface XLocator

  Parameters:
    `context` - The current source tree context node.
    `opPos` - The current position in the m_opMap array.

### locationPath

    public XNodeSet locationPath(XPath xpath,
                                 XPathSupport execContext,
                                 org.w3c.dom.Node context,
                                 int opPos,
                                 NodeCallback callback,
                                 java.lang.Object callbackInfo,
                                 boolean stopAtFirst)
                          throws org.xml.sax.SAXException

  Execute a location path. Normally, this method simply moves past the OP_LOCATIONPATH and it's length member, and calls the Step function, which will recursivly process the rest of the LocationPath, and then wraps the NodeList result in an XNodeSet object.
  Specified by:
    locationPath in interface XLocator

  Parameters:
    `xpath` - The xpath that is executing.
    `execContext` - The execution context.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `callback` - Interface that implements the processLocatedNode method.
    `callbackInfo` - Object that will be passed to the processLocatedNode method.

### step

    protected MutableNodeList step(XPath xpath,
                                   XPathSupport execContext,
                                   org.w3c.dom.Node context,
                                   int opPos,
                                   NodeCallback callback,
                                   java.lang.Object callbackInfo,
                                   boolean isSimpleFollowing,
                                   boolean stopAtFirst)
                            throws org.xml.sax.SAXException

  Execute a step and predicates in a location path. This recursivly executes each of the steps and predicates. The step can be oneof XPath.OP_VARIABLE, OP_EXTFUNCTION, OP_FUNCTION, OP_GROUP, FROM_ROOT, FROM_PARENT, FROM_SELF, FROM_ANCESTORS, FROM_ANCESTORS_OR_SELF, MATCH_ATTRIBUTE, FROM_ATTRIBUTES, MATCH_ANY_ANCESTOR, MATCH_IMMEDIATE_ANCESTOR, FROM_CHILDREN, FROM_DESCENDANTS, FROM_DESCENDANTS_OR_SELF, FROM_FOLLOWING, FROM_FOLLOWING_SIBLINGS, FROM_PRECEDING, FROM_PRECEDING_SIBLINGS, or FROM_NAMESPACE. Normally, this function should recurse to process the next step. However, it should not continue to process the location path if the step is oneof MATCH_ATTRIBUTE, MATCH_ANY_ANCESTOR, or match MATCH_IMMEDIATE_ANCESTOR. This method may be overridden to process the LocationPath as a whole, or the fromXXX methods may be overridden to process the steps as individual units.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.

### findSelf

    protected MutableNodeList findSelf(XPath xpath,
                                       XPathSupport execContext,
                                       org.w3c.dom.Node context,
                                       int opPos,
                                       int stepType,
                                       MutableNodeList subQueryResults,
                                       NodeCallback callback,
                                       java.lang.Object callbackInfo,
                                       boolean isSimpleFollowing,
                                       boolean stopAtFirst)
                                throws org.xml.sax.SAXException

  Add the context to the list if it meets the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_SELF.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findAttributes

    protected MutableNodeList findAttributes(XPath xpath,
                                             XPathSupport execContext,
                                             org.w3c.dom.Node context,
                                             int opPos,
                                             int stepType,
                                             MutableNodeList subQueryResults,
                                             boolean isSimpleFollowing,
                                             boolean stopAtFirst)
                                      throws org.xml.sax.SAXException

  Add attributes to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_ATTRIBUTES.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findNamespace

    protected MutableNodeList findNamespace(XPath xpath,
                                            XPathSupport execContext,
                                            org.w3c.dom.Node context,
                                            int opPos,
                                            int stepType,
                                            MutableNodeList subQueryResults,
                                            boolean isSimpleFollowing,
                                            boolean stopAtFirst)
                                     throws org.xml.sax.SAXException

  Add the namespace node of the context.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_NAMESPACE.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findChildren

    protected MutableNodeList findChildren(XPath xpath,
                                           XPathSupport execContext,
                                           org.w3c.dom.Node context,
                                           int opPos,
                                           int stepType,
                                           MutableNodeList subQueryResults,
                                           NodeCallback callback,
                                           java.lang.Object callbackInfo,
                                           boolean isSimpleFollowing,
                                           boolean stopAtFirst)
                                    throws org.xml.sax.SAXException

  Add children to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_CHILDREN.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findDescendants

    protected MutableNodeList findDescendants(XPath xpath,
                                              XPathSupport execContext,
                                              org.w3c.dom.Node context,
                                              int opPos,
                                              int stepType,
                                              MutableNodeList subQueryResults,
                                              NodeCallback callback,
                                              java.lang.Object callbackInfo,
                                              boolean isSimpleFollowing,
                                              boolean stopAtFirst)
                                       throws org.xml.sax.SAXException

  Add the descendants (and the context if the stepType is FROM_DESCENDANTS_OR_SELF) to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_DESCENDANTS or XPath.FROM_DESCENDANTS_OR_SELF.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findFollowing

    protected MutableNodeList findFollowing(XPath xpath,
                                            XPathSupport execContext,
                                            org.w3c.dom.Node context,
                                            int opPos,
                                            int stepType,
                                            MutableNodeList subQueryResults,
                                            boolean isSimpleFollowing,
                                            boolean stopAtFirst)
                                     throws org.xml.sax.SAXException

  Add the nodes following the context to the list if they meet the NodeTest qualification. The following axis contains all nodes in the same document as the context node that are after the context node in document order, excluding any descendants and excluding attribute nodes and namespace nodes; the nodes are ordered in document order. Note that the ancestor, descendant, following, preceding and self axes partition a document (ignoring attribute and namespace nodes): they do not overlap and together they contain all the nodes in the document.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_FOLLOWING.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findFollowingSiblings

    protected MutableNodeList findFollowingSiblings(XPath xpath,
                                                    XPathSupport execContext,
                                                    org.w3c.dom.Node context,
                                                    int opPos,
                                                    int stepType,
                                                    MutableNodeList subQueryResults,
                                                    boolean isSimpleFollowing,
                                                    boolean stopAtFirst)
                                             throws org.xml.sax.SAXException

  Add the sibling nodes following the context to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_FOLLOWING_SIBLINGS.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findNodeSet

    protected int findNodeSet(XPath xpath,
                              XPathSupport execContext,
                              org.w3c.dom.Node context,
                              int opPos,
                              int stepType,
                              MutableNodeList subQueryResults,
                              boolean isSimpleFollowing,
                              boolean stopAtFirst)
                       throws org.xml.sax.SAXException

  Execute a step that performs an OP_VARIABLE, OP_EXTFUNCTION, OP_FUNCTION, or OP_GROUP function.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - One of OP_VARIABLE, OP_EXTFUNCTION, OP_FUNCTION, or OP_GROUP.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findRoot

    protected MutableNodeList findRoot(XPath xpath,
                                       XPathSupport execContext,
                                       org.w3c.dom.Node context,
                                       int opPos,
                                       int stepType,
                                       MutableNodeList subQueryResults,
                                       boolean isSimpleFollowing,
                                       boolean stopAtFirst)
                                throws org.xml.sax.SAXException

  Execute a step to the root.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_ROOT.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findParent

    protected MutableNodeList findParent(XPath xpath,
                                         XPathSupport execContext,
                                         org.w3c.dom.Node context,
                                         int opPos,
                                         int stepType,
                                         MutableNodeList subQueryResults,
                                         boolean isSimpleFollowing,
                                         boolean stopAtFirst)
                                  throws org.xml.sax.SAXException

  Add the parent to the list if it meets the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_PARENT.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findAncestors

    protected MutableNodeList findAncestors(XPath xpath,
                                            XPathSupport execContext,
                                            org.w3c.dom.Node context,
                                            int opPos,
                                            int stepType,
                                            MutableNodeList subQueryResults,
                                            boolean isSimpleFollowing,
                                            boolean stopAtFirst)
                                     throws org.xml.sax.SAXException

  Add ancestors to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_ANCESTORS.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findAncestorsOrSelf

    protected MutableNodeList findAncestorsOrSelf(XPath xpath,
                                                  XPathSupport execContext,
                                                  org.w3c.dom.Node context,
                                                  int opPos,
                                                  int stepType,
                                                  MutableNodeList subQueryResults,
                                                  boolean isSimpleFollowing,
                                                  boolean stopAtFirst)
                                           throws org.xml.sax.SAXException

  Add ancestors or the context to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_ANCESTORS_OR_SELF.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findPreceding

    protected MutableNodeList findPreceding(XPath xpath,
                                            XPathSupport execContext,
                                            org.w3c.dom.Node context,
                                            int opPos,
                                            int stepType,
                                            MutableNodeList subQueryResults,
                                            boolean isSimpleFollowing,
                                            boolean stopAtFirst)
                                     throws org.xml.sax.SAXException

  Add the nodes preceding the context to the list if they meet the NodeTest qualification. The preceding axis contains all nodes in the same document as the context node that are before the context node in document order, excluding any ancestors and excluding attribute nodes and namespace nodes; the nodes are ordered in reverse document order. Note that the ancestor, descendant, following, preceding and self axes partition a document (ignoring attribute and namespace nodes): they do not overlap and together they contain all the nodes in the document.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_PRECEDING.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findPrecedingSiblings

    protected MutableNodeList findPrecedingSiblings(XPath xpath,
                                                    XPathSupport execContext,
                                                    org.w3c.dom.Node context,
                                                    int opPos,
                                                    int stepType,
                                                    MutableNodeList subQueryResults,
                                                    boolean isSimpleFollowing,
                                                    boolean stopAtFirst)
                                             throws org.xml.sax.SAXException

  Add the sibling nodes preceding the context to the list if they meet the NodeTest qualification.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_PRECEDING_SIBLINGS.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### findNodesOnUnknownAxis

    protected MutableNodeList findNodesOnUnknownAxis(XPath xpath,
                                                     XPathSupport execContext,
                                                     org.w3c.dom.Node context,
                                                     int opPos,
                                                     int stepType,
                                                     MutableNodeList subQueryResults,
                                                     boolean isSimpleFollowing,
                                                     boolean stopAtFirst)
                                              throws org.xml.sax.SAXException

  Add the namespace node of the context.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `stepType` - Value of XPath.FROM_NAMESPACE.
    `subQueryResults` - Should be an empty node list where the results of the step will be put.

### predicate

    protected boolean predicate(XPath xpath,
                                XPathSupport execContext,
                                org.w3c.dom.Node context,
                                int opPos)
                         throws org.xml.sax.SAXException

  Execute a single predicate for a single node.

### predicates

    protected MutableNodeList predicates(XPath xpath,
                                         XPathSupport execContext,
                                         org.w3c.dom.Node context,
                                         int opPos,
                                         MutableNodeList subQueryResults,
                                         int[] endPredicatesPos)
                                  throws org.xml.sax.SAXException

  Qualify a node list by it's predicates.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `subQueryResults` - The list of nodes that need to be qualified.
    `endPredicatesPos` - The end position in the xpath.m_opMap array will be filled in.

### locationPathPattern

    public double locationPathPattern(XPath xpath,
                                      XPathSupport execContext,
                                      org.w3c.dom.Node context,
                                      int opPos)
                               throws org.xml.sax.SAXException

  Execute a a location path pattern. This will return a score of MATCH_SCORE_NONE, MATCH_SCORE_NODETEST, MATCH_SCORE_OTHER, MATCH_SCORE_QNAME.
  Specified by:
    locationPathPattern in interface XLocator

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.

### stepPattern

    protected org.w3c.dom.Node stepPattern(XPath xpath,
                                           XPathSupport execContext,
                                           org.w3c.dom.Node context,
                                           int opPos,
                                           double[] scoreHolder)
                                    throws org.xml.sax.SAXException

  Execute a step in a location path.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.

### doPredicate

    public double doPredicate(XPath xpath,
                              XPathSupport execContext,
                              org.w3c.dom.Node context,
                              int opPos,
                              int argLen,
                              int startOpPos)
                       throws org.xml.sax.SAXException

  Test a node to see if it matches the predicate test.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `argLen` - The length of the argument.
    `startOpPos` - The original position in the xpath.m_opMap array.

### nodeTest

    public double nodeTest(XPath xpath,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           int argLen,
                           int stepType)
                    throws org.xml.sax.SAXException

  Test a node to see if it matches the given node test.

  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `len` - The length of the argument.
    `len` - The type of the step.

### factory

    public static XPathFactory factory()

  Create an XPathFactory for this XLocator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD